This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 712617 - qt-4.8 introduces minor cosmetic deficiencies in oxygen window decoration
qt-4.8 introduces minor cosmetic deficiencies in oxygen window decoration
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: qt (Show other bugs)
rawhide
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On: qt-raster
Blocks: qt-4.8
  Show dependency treegraph
 
Reported: 2011-06-11 15:40 EDT by Peter Gückel
Modified: 2013-10-03 20:20 EDT (History)
13 users (show)

See Also:
Fixed In Version: digikam-2.0.0-3.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-08-30 16:36:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 278478 None None None Never

  None (edit)
Description Peter Gückel 2011-06-11 15:40:17 EDT
Description of problem:
1. Scrolling on the title bar no longer activates titlebar wheel events.
2. The window buttons no longer have the minimize, maximize, help, close &c markings.

Version-Release number of selected component (if applicable):
qt-4.8.0-0.1.tp.fc15.x86_64

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Peter Gückel 2011-06-18 17:16:09 EDT
The titlebar wheel event is back! I don't know whether the update to kde-4.6.4 cured it, but I can scroll on the titlebar to make he window opaque again.

The window buttons are still all the same. They remain undifferntiated, so one cannot tell which is which.
Comment 2 Eelko Berkenpies 2011-06-28 03:10:51 EDT
> The window buttons are still all the same. They remain undifferntiated, so one
cannot tell which is which.

I can confirm this for 3 other machines. Two different Fedora 15 machines and one Fedora 14 machine all running qt-4.8.0-0.1.tp.fc15.i686 / KDE 4.6.4.
Comment 3 Peter Gückel 2011-07-07 20:12:05 EDT
I just updated to kde-4.6.90 and the titlebar scroll effects no longer work.
Comment 4 Peter Gückel 2011-07-07 22:46:12 EDT
(In reply to comment #3)
> I just updated to kde-4.6.90 and the titlebar scroll effects no longer work.

I just had this discussion a week ago on the fedora lists: in gnu linux one does not need to reboot. Oh, no. The problem is that I didn't run needs-restarting. Or, in a graphical environment, one has to log out and back in. Well, I ran needs-restarting and it showed that nothing needs restarting after having updated to kde-4.6.90. Then, to be sure, I logged out and back in. Then, I wrote the last comment.

I just did a cold boot, and guess what? titlebar scroll effects *do* work and the symbols on the window frame are there again.

So, one does need to reboot for some updates to take effect.
Comment 5 Ernesto Manríquez 2011-07-25 11:22:06 EDT
Issues are still there, but masked. KDE 4.7 seems to detect Qt 4.8 and adjust accordingly, enabling the Raster (software) backend and trying to disable as much as possible the Native (hw accelerated, at least in theory) backend. Those glitches are produced by the Native backend, buggy in Qt 4.8. You can easily see the lack of symbols on the window frame and other glitches if you run:

kwin --replace --graphicssystem native &

You'll see more glitches appearing in all apps using Oxygen if you start them with --graphicssystem native in Qt 4.8, regardless of your KDE version (scroll arrows are missing, some gradients are rendered incorrectly, tabs have thick 5px lines). So, this seems to be a Qt bug, and it is not fixed with Qt 4.8 Beta 1.
Comment 6 Rex Dieter 2011-07-25 11:28:32 EDT
Thanks for the analysis, it's probably time to upstream this to bugs.kde.org at least.
Comment 7 Ernesto Manríquez 2011-07-25 11:43:02 EDT
https://bugs.kde.org/show_bug.cgi?id=278478
Comment 8 Ernesto Manríquez 2011-07-25 13:55:19 EDT
https://bugreports.qt.nokia.com/browse/QTBUG-20542

The KDE bug report was CLOSED as UPSTREAM, so, I upstreamed the bug report.
Comment 9 Peter Gückel 2011-08-06 00:57:42 EDT
I notice, upon upgrading to kde-4.7.0, that titlebar scroll effects do not work, while the button symbols do appear.
Comment 10 Rex Dieter 2011-08-14 19:59:10 EDT
Interesting conversation on #kde-devel today,

[08/14/11 18:26] <maelcum> what eare the current problems with kde on qt 4.8?
[08/14/11 18:26] <maelcum> s/eare/are/
[08/14/11 18:46] <rdieter_laptop> maelcum: so far, mostly just http://bugs.kde.org/show_bug.cgi?id=278478 (that I'm aware of...)
[08/14/11 18:46] <bugbot> KDE bug 278478 in Oxygen (general) "Rendering glitches with Oxygen and the Native graphics system with Qt 4 8 " [Normal,Resolved: upstream] 
[08/14/11 18:46] <thiago> native is just broken
[08/14/11 18:46] <thiago> use raster
[08/14/11 18:47] <sreich> don't we have rendering issues every qt release? :)
[08/14/11 18:47] <maelcum> rdieter_laptop: thanks. i'm using raster anyway.
[08/14/11 18:48] <rdieter_laptop> thiago: ie, make raster the default then?
Comment 11 Ernesto Manríquez 2011-08-18 22:06:33 EDT
KRunner with --graphicssystem raster booms with this, when I try to run something. Qt 4.8.

The only debug symbols missing are NVIDIA's (those blobs are black boxes anyway)


Application: Interfaz de ejecución de órdenes (krunner), signal: Segmentation fault
[Current thread is 1 (Thread 0x7f7411c71880 (LWP 7892))]

Thread 6 (Thread 0x7f73fc834700 (LWP 7897)):
#0  0x0000003cb8a0b81f in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x0000003cc2a7a30f in wait (time=30000, this=0x14c14a0) at thread/qwaitcondition_unix.cpp:84
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x15ec1f8, time=30000) at thread/qwaitcondition_unix.cpp:158
#3  0x0000003cc2a6d93f in QThreadPoolThread::run (this=0x14a38f0) at concurrent/qthreadpool.cpp:141
#4  0x0000003cc2a79e9b in QThreadPrivate::start (arg=0x14a38f0) at thread/qthread_unix.cpp:298
#5  0x0000003cceea156c in ?? () from /usr/lib64/nvidia/libGL.so.1
#6  0x0000003cb8a07b31 in start_thread () from /lib64/libpthread.so.0
#7  0x0000003cb82dfc7d in clone () from /lib64/libc.so.6

Thread 5 (Thread 0x7f73f5298700 (LWP 7905)):
#0  0x0000003cb8a0b4b5 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x0000003cc2a7a3ab in wait (time=18446744073709551615, this=0x1213350) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x11b6e40, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x0000003cd580a164 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x12807b0, th=0x5a95910) at /usr/src/debug/kdelibs-4.7.0/threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x0000003cd580c70b in ThreadWeaver::WorkingHardState::applyForWork (this=0x11aa530, th=0x5a95910) at /usr/src/debug/kdelibs-4.7.0/threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x0000003cd580b5cf in ThreadWeaver::ThreadRunHelper::run (this=0x7f73f5297c60, parent=0x12807b0, th=0x5a95910) at /usr/src/debug/kdelibs-4.7.0/threadweaver/Weaver/Thread.cpp:87
#6  0x0000003cd580b65b in ThreadWeaver::Thread::run (this=0x5a95910) at /usr/src/debug/kdelibs-4.7.0/threadweaver/Weaver/Thread.cpp:142
#7  0x0000003cc2a79e9b in QThreadPrivate::start (arg=0x5a95910) at thread/qthread_unix.cpp:298
#8  0x0000003cceea156c in ?? () from /usr/lib64/nvidia/libGL.so.1
#9  0x0000003cb8a07b31 in start_thread () from /lib64/libpthread.so.0
#10 0x0000003cb82dfc7d in clone () from /lib64/libc.so.6

Thread 4 (Thread 0x7f73f4a97700 (LWP 7906)):
#0  0x0000003cb8a0b4b5 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x0000003cc2a7a3ab in wait (time=18446744073709551615, this=0x1213350) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x11b6e40, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x0000003cd580a164 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x12807b0, th=0x5a821e0) at /usr/src/debug/kdelibs-4.7.0/threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x0000003cd580c70b in ThreadWeaver::WorkingHardState::applyForWork (this=0x11aa530, th=0x5a821e0) at /usr/src/debug/kdelibs-4.7.0/threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x0000003cd580b5cf in ThreadWeaver::ThreadRunHelper::run (this=0x7f73f4a96c60, parent=0x12807b0, th=0x5a821e0) at /usr/src/debug/kdelibs-4.7.0/threadweaver/Weaver/Thread.cpp:87
#6  0x0000003cd580b65b in ThreadWeaver::Thread::run (this=0x5a821e0) at /usr/src/debug/kdelibs-4.7.0/threadweaver/Weaver/Thread.cpp:142
#7  0x0000003cc2a79e9b in QThreadPrivate::start (arg=0x5a821e0) at thread/qthread_unix.cpp:298
#8  0x0000003cceea156c in ?? () from /usr/lib64/nvidia/libGL.so.1
#9  0x0000003cb8a07b31 in start_thread () from /lib64/libpthread.so.0
#10 0x0000003cb82dfc7d in clone () from /lib64/libc.so.6

Thread 3 (Thread 0x7f73effff700 (LWP 7907)):
#0  0x0000003cb8a0b4b5 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x0000003cc2a7a3ab in wait (time=18446744073709551615, this=0x1213350) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x11b6e40, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x0000003cd580a164 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x12807b0, th=0x59ffbd0) at /usr/src/debug/kdelibs-4.7.0/threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x0000003cd580c70b in ThreadWeaver::WorkingHardState::applyForWork (this=0x11aa530, th=0x59ffbd0) at /usr/src/debug/kdelibs-4.7.0/threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x0000003cd580b5cf in ThreadWeaver::ThreadRunHelper::run (this=0x7f73efffec60, parent=0x12807b0, th=0x59ffbd0) at /usr/src/debug/kdelibs-4.7.0/threadweaver/Weaver/Thread.cpp:87
#6  0x0000003cd580b65b in ThreadWeaver::Thread::run (this=0x59ffbd0) at /usr/src/debug/kdelibs-4.7.0/threadweaver/Weaver/Thread.cpp:142
#7  0x0000003cc2a79e9b in QThreadPrivate::start (arg=0x59ffbd0) at thread/qthread_unix.cpp:298
#8  0x0000003cceea156c in ?? () from /usr/lib64/nvidia/libGL.so.1
#9  0x0000003cb8a07b31 in start_thread () from /lib64/libpthread.so.0
#10 0x0000003cb82dfc7d in clone () from /lib64/libc.so.6

Thread 2 (Thread 0x7f73ef7fe700 (LWP 7908)):
#0  0x0000003cb8a0b4b5 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x0000003cc2a7a3ab in wait (time=18446744073709551615, this=0x1213350) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x11b6e40, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x0000003cd580a164 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x12807b0, th=0x5ad13f0) at /usr/src/debug/kdelibs-4.7.0/threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x0000003cd580c70b in ThreadWeaver::WorkingHardState::applyForWork (this=0x11aa530, th=0x5ad13f0) at /usr/src/debug/kdelibs-4.7.0/threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x0000003cd580c724 in ThreadWeaver::WorkingHardState::applyForWork (this=0x11aa530, th=0x5ad13f0) at /usr/src/debug/kdelibs-4.7.0/threadweaver/Weaver/WorkingHardState.cpp:74
#6  0x0000003cd580b5cf in ThreadWeaver::ThreadRunHelper::run (this=0x7f73ef7fdc60, parent=0x12807b0, th=0x5ad13f0) at /usr/src/debug/kdelibs-4.7.0/threadweaver/Weaver/Thread.cpp:87
#7  0x0000003cd580b65b in ThreadWeaver::Thread::run (this=0x5ad13f0) at /usr/src/debug/kdelibs-4.7.0/threadweaver/Weaver/Thread.cpp:142
#8  0x0000003cc2a79e9b in QThreadPrivate::start (arg=0x5ad13f0) at thread/qthread_unix.cpp:298
#9  0x0000003cceea156c in ?? () from /usr/lib64/nvidia/libGL.so.1
#10 0x0000003cb8a07b31 in start_thread () from /lib64/libpthread.so.0
#11 0x0000003cb82dfc7d in clone () from /lib64/libc.so.6

Thread 1 (Thread 0x7f7411c71880 (LWP 7892)):
[KCrash Handler]
#6  QRasterPaintEngine::compositionModeChanged (this=<optimized out>) at painting/qpaintengine_raster.cpp:904
#7  0x0000003cd02353eb in ResultsView::paintEvent (this=0x1405bb0, event=0x7fffd17170d0) at /usr/src/debug/kdebase-workspace-4.7.0/kdebase-workspace-4.7.0/krunner/interfaces/default/resultsview.cpp:194
#8  0x0000003cc5214acc in QWidget::event (this=0x1405bb0, event=0x7fffd17170d0) at kernel/qwidget.cpp:8488
#9  0x0000003cc55ca536 in QFrame::event (this=0x1405bb0, e=0x7fffd17170d0) at widgets/qframe.cpp:557
#10 0x0000003cc57eff4b in QGraphicsView::viewportEvent (this=0x1405bb0, event=0x7fffd17170d0) at graphicsview/qgraphicsview.cpp:2866
#11 0x0000003cc2b762f8 in QCoreApplicationPrivate::sendThroughObjectEventFilters (this=<optimized out>, receiver=0x1642cc0, event=0x7fffd17170d0) at kernel/qcoreapplication.cpp:963
#12 0x0000003cc51c452f in notify_helper (e=0x7fffd17170d0, receiver=0x1642cc0, this=0xf8ae50) at kernel/qapplication.cpp:4491
#13 QApplicationPrivate::notify_helper (this=0xf8ae50, receiver=0x1642cc0, e=0x7fffd17170d0) at kernel/qapplication.cpp:4467
#14 0x0000003cc51c93f3 in QApplication::notify (this=0xf730c0, receiver=0x1642cc0, e=0x7fffd17170d0) at kernel/qapplication.cpp:4356
#15 0x0000003cc7e4c156 in KApplication::notify (this=0xf730c0, receiver=0x1642cc0, event=0x7fffd17170d0) at /usr/src/debug/kdelibs-4.7.0/kdeui/kernel/kapplication.cpp:311
#16 0x0000003cc2b7616c in QCoreApplication::notifyInternal (this=0xf730c0, receiver=0x1642cc0, event=0x7fffd17170d0) at kernel/qcoreapplication.cpp:853
#17 0x0000003cc5210770 in sendSpontaneousEvent (event=0x7fffd17170d0, receiver=0x1642cc0) at ../../src/corelib/kernel/qcoreapplication.h:234
#18 QWidgetPrivate::drawWidget (this=0x151af20, pdev=0x5d1f660, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x11fb7b0) at kernel/qwidget.cpp:5565
#19 0x0000003cc52113df in QWidgetPrivate::paintSiblingsRecursive (this=0x16e6ef0, pdev=0x5d1f660, siblings=..., index=<optimized out>, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x11fb7b0) at kernel/qwidget.cpp:5774
#20 0x0000003cc52104cc in QWidgetPrivate::drawWidget (this=0x16e6ef0, pdev=0x5d1f660, rgn=..., offset=..., flags=<optimized out>, sharedPainter=0x0, backingStore=0x11fb7b0) at kernel/qwidget.cpp:5618
#21 0x0000003cc52113df in QWidgetPrivate::paintSiblingsRecursive (this=0x11ae750, pdev=0x5d1f660, siblings=..., index=<optimized out>, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x11fb7b0) at kernel/qwidget.cpp:5774
#22 0x0000003cc52104cc in QWidgetPrivate::drawWidget (this=0x11ae750, pdev=0x5d1f660, rgn=..., offset=..., flags=<optimized out>, sharedPainter=0x0, backingStore=0x11fb7b0) at kernel/qwidget.cpp:5618
#23 0x0000003cc53db2c0 in QWidgetBackingStore::sync (this=0x11fb7b0) at painting/qbackingstore.cpp:1373
#24 0x0000003cc5206f40 in QWidgetPrivate::syncBackingStore (this=0x11ae750) at kernel/qwidget.cpp:1882
#25 0x0000003cc5214fec in QWidget::event (this=0x11b62b0, event=0x1618f10) at kernel/qwidget.cpp:8635
#26 0x0000003cd0224e56 in KRunnerDialog::event (this=0x11b62b0, event=0x1618f10) at /usr/src/debug/kdebase-workspace-4.7.0/kdebase-workspace-4.7.0/krunner/krunnerdialog.cpp:341
#27 0x0000003cc51c4564 in notify_helper (e=0x1618f10, receiver=0x11b62b0, this=0xf8ae50) at kernel/qapplication.cpp:4495
#28 QApplicationPrivate::notify_helper (this=0xf8ae50, receiver=0x11b62b0, e=0x1618f10) at kernel/qapplication.cpp:4467
#29 0x0000003cc51c93f3 in QApplication::notify (this=0xf730c0, receiver=0x11b62b0, e=0x1618f10) at kernel/qapplication.cpp:4356
#30 0x0000003cc7e4c156 in KApplication::notify (this=0xf730c0, receiver=0x11b62b0, event=0x1618f10) at /usr/src/debug/kdelibs-4.7.0/kdeui/kernel/kapplication.cpp:311
#31 0x0000003cc2b7616c in QCoreApplication::notifyInternal (this=0xf730c0, receiver=0x11b62b0, event=0x1618f10) at kernel/qcoreapplication.cpp:853
#32 0x0000003cc2b79a9e in sendEvent (event=0x1618f10, receiver=0x11b62b0) at kernel/qcoreapplication.h:231
#33 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0xf4df30) at kernel/qcoreapplication.cpp:1477
#34 0x0000003cc2ba4b83 in sendPostedEvents () at kernel/qcoreapplication.h:236
#35 postEventSourceDispatch (s=0xf7e260) at kernel/qeventdispatcher_glib.cpp:279
#36 0x0000003cbae427ed in g_main_dispatch (context=0xf7c9e0) at gmain.c:2441
#37 g_main_context_dispatch (context=0xf7c9e0) at gmain.c:3014
#38 0x0000003cbae42fc8 in g_main_context_iterate (context=0xf7c9e0, block=<optimized out>, dispatch=1, self=<optimized out>) at gmain.c:3092
#39 0x0000003cbae4325c in g_main_context_iteration (context=0xf7c9e0, may_block=1) at gmain.c:3155
#40 0x0000003cc2ba4faf in QEventDispatcherGlib::processEvents (this=0xf4f420, flags=<optimized out>) at kernel/qeventdispatcher_glib.cpp:424
#41 0x0000003cc5266fbe in QGuiEventDispatcherGlib::processEvents (this=<optimized out>, flags=<optimized out>) at kernel/qguieventdispatcher_glib.cpp:207
#42 0x0000003cc2b752a2 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#43 0x0000003cc2b754f7 in QEventLoop::exec (this=0x7fffd1718900, flags=...) at kernel/qeventloop.cpp:204
#44 0x0000003cc2b79f35 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1125
#45 0x0000003cd022b17f in kdemain (argc=3, argv=0x7fffd1718ba8) at /usr/src/debug/kdebase-workspace-4.7.0/kdebase-workspace-4.7.0/krunner/main.cpp:66
#46 0x0000003cb822139d in __libc_start_main () from /lib64/libc.so.6
#47 0x0000000000400821 in _start ()
Comment 12 Fedora Update System 2011-08-19 12:12:56 EDT
qt-4.8.0-0.9.beta1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/qt-4.8.0-0.9.beta1.fc16
Comment 13 Rex Dieter 2011-08-19 12:30:18 EDT
Re comment #11
Please file a separate bug, though I'm not sure what fixes/debugging we can do for users of nvidia's binary blob driver (I cannot reproduce any such crashes using intel hardware, fwiw)
Comment 14 Rex Dieter 2011-08-19 12:41:05 EDT
ah, I can reproduce some sort of crash now to, actually trying to use krunner, will file a bug myself.
Comment 15 Rex Dieter 2011-08-19 13:01:51 EDT
See bug #732066
Comment 16 Fedora Update System 2011-08-22 14:34:00 EDT
Package qt-4.8.0-0.9.beta1.fc16, digikam-2.0.0-3.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing qt-4.8.0-0.9.beta1.fc16 digikam-2.0.0-3.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/digikam-2.0.0-3.fc16,qt-4.8.0-0.9.beta1.fc16
then log in and leave karma (feedback).
Comment 17 Fedora Update System 2011-08-30 16:35:54 EDT
digikam-2.0.0-3.fc16, qt-4.8.0-0.9.beta1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 18 Adam Williamson 2011-10-27 18:20:13 EDT
we've noticed that the rendering regressions seem to be gone with current Qt, at least in basic testing by me and Rex.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 19 Red Hat Bugzilla 2013-10-03 20:20:30 EDT
Removing external tracker bug with the id '20542' as it is not valid for this tracker

Note You need to log in before you can comment on or make changes to this bug.